## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate zerotrie

Name:           rust-zerotrie
Version:        0.2.2
Release:        %autorelease
Summary:        Data structure that efficiently maps strings to integers

License:        Unicode-3.0
URL:            https://crates.io/crates/zerotrie
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop benchmark-only criterion dependency
# * Omit the first_weekday_for_region example, which would require the internal
#   icu_benchmark_macros crate
# * Restore writeable dev-dependency (version 0.6), which was path-based and
#   was therefore removed in Cargo.toml normalization.
# * Restore zerovec dev-dependency, which was path-based and was therefore
#   removed in Cargo.toml normalization. We have it as a (non-dev) dependency, but the dev-dependency enables the serde and hashmap features.
Patch:          zerotrie-fix-metadata.diff
# * Fix test failures in zerotrie on 32-bit platforms,
#   https://github.com/unicode-org/icu4x/pull/6697.
# * Fixes https://github.com/unicode-org/icu4x/issues/6696.
Patch10:        zerotrie-0.2.2-pr-6697.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A data structure that efficiently maps strings to integers.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+databake-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+databake-devel %{_description}

This package contains library source intended for building other packages which
use the "databake" feature of the "%{crate}" crate.

%files       -n %{name}+databake-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+litemap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+litemap-devel %{_description}

This package contains library source intended for building other packages which
use the "litemap" feature of the "%{crate}" crate.

%files       -n %{name}+litemap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+yoke-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+yoke-devel %{_description}

This package contains library source intended for building other packages which
use the "yoke" feature of the "%{crate}" crate.

%files       -n %{name}+yoke-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zerofrom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zerofrom-devel %{_description}

This package contains library source intended for building other packages which
use the "zerofrom" feature of the "%{crate}" crate.

%files       -n %{name}+zerofrom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zerovec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zerovec-devel %{_description}

This package contains library source intended for building other packages which
use the "zerovec" feature of the "%{crate}" crate.

%files       -n %{name}+zerovec-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f alloc,litemap,zerovec

%build
%cargo_build -f alloc,litemap,zerovec

%install
%cargo_install -f alloc,litemap,zerovec

%if %{with check}
%check
%cargo_test -f alloc,litemap,zerovec
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jul 14 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.2-1
- Initial package (close RHBZ#2374316)
## END: Generated by rpmautospec
